Slackware 10.0 / 10.1 / 10.2 / current : kdebase kdm local file reading vulnerability (SSA:2006-178-01)

Medium Nessus Plugin ID 21765


The remote Slackware host is missing a security update.


New kdebase packages are available for Slackware 10.0, 10.1, 10.2, and -current to fix a security issue with KDM (the KDE login manager) which could be exploited by a local attacker to read any file on the system. The official KDE security advisory may be found here:


Update the affected kdebase package.

See Also

Plugin Details

Severity: Medium

ID: 21765

File Name: Slackware_SSA_2006-178-01.nasl

Version: $Revision: 1.10 $

Type: local

Published: 2006/06/28

Modified: 2013/06/01

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 4

Vector: CVSS2#AV:L/AC:H/Au:N/C:C/I:N/A:N

Vulnerability Information

CPE: p-cpe:/a:slackware:slackware_linux:kdebase, cpe:/o:slackware:slackware_linux, cpe:/o:slackware:slackware_linux:10.0, cpe:/o:slackware:slackware_linux:10.1, cpe:/o:slackware:slackware_linux:10.2

Required KB Items: Host/local_checks_enabled, Host/Slackware/release, Host/Slackware/packages

Patch Publication Date: 2006/06/27

Vulnerability Publication Date: 2006/06/14

Reference Information

CVE: CVE-2006-2449

OSVDB: 26511

SSA: 2006-178-01